# vim: set ts=2 sw=2 sts=2 et:
#
# Module hooks
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
  XC\AutoMobileSkin\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoMobileSkin, type: upgrade, method: onUpgrade, version: 5.5.1.0}

  XC\AutoMobileSkin\LifetimeHook\Upgrade\UpgradeTo551build6:
    tags:
      - { name: xcart.lifetime-hook, moduleId: XC-AutoMobileSkin, type: upgrade, method: onUpgrade, version: 5.5.1.6 }

  XC\AutoMobileSkin\LifetimeHook\Upgrade\UpgradeTo557build4:
    tags:
      - { name: xcart.lifetime-hook, moduleId: XC-AutoMobileSkin, type: upgrade, method: onUpgrade, version: 5.5.7.4 }
  XC\AutoMobileSkin\LifetimeHook\Upgrade\UpgradeTo557build4FillProductListType:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoMobileSkin, type: upgrade, method: onUpgrade, version: 5.5.7.4}
